Page MenuHomePhabricator

Unhelpful error message on Special:MergeItems if items are already merged
Closed, ResolvedPublic

Description

When trying to merge two items with Special:MergeItems that are already merged, it outputs an error like: Failed to load item. Error: Unresolved redirect to Q123.. This is especially unhelpful if someone clicks on "Merge items" twice, thus they submit the form twice and the second merge attempt fails as the first one succeeds.

The special page should detect this case and output a more helpful error message, explaining that the item already is a redirect to that target.

Event Timeline

hoo created this task.Mar 22 2016, 5:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 5:24 PM
Lydia_Pintscher triaged this task as Lowest priority.Apr 3 2016, 11:55 AM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
hoo updated the task description. (Show Details)Oct 29 2016, 6:07 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 29 2016, 6:07 AM
hoo updated the task description. (Show Details)Oct 30 2016, 2:34 PM

With T149483 this should have become less of a problem, but it's still a UX issue.

Change 324528 had a related patch set uploaded (by Filip):
Fix "Unhelpful error message on Special:MergeItems if items are already merged"

https://gerrit.wikimedia.org/r/324528

Filip claimed this task.Nov 30 2016, 6:48 PM
Filip added a subscriber: Filip.

I'll make it for GCI

Change 324528 merged by jenkins-bot:
Fix "Unhelpful error message on Special:MergeItems if items are already merged"

https://gerrit.wikimedia.org/r/324528

Change 328367 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add missing test to SpecialMergeItemsTest

https://gerrit.wikimedia.org/r/328367

Change 328367 merged by jenkins-bot:
Add missing test to SpecialMergeItemsTest

https://gerrit.wikimedia.org/r/328367

Filip closed this task as Resolved.Dec 29 2016, 2:00 PM

Resolved.